package com.weaver.seconddev.interfaces.workflow.util;

import com.weaver.common.i18n.tool.util.I18nContextUtil;
import com.weaver.common.i18n.tool.util.Util;
import com.weaver.verupgrade.conn.CONN_TYPE;
import com.weaver.verupgrade.conn.RecordSet;
import io.protostuff.Service;
import org.springframework.stereotype.Component;

@Component
public class CommonDevUtil {

    public Long getObjId(String tableName){
        String sql = "select id from e10_common.dbo.ebdf_obj where table_name= '"+tableName+"' and delete_type=0";
        RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
        String poolname = CONN_TYPE.ebuilder.getType();
        rs.executeQuery(sql,poolname);
        Long id = -1L;
        if(rs.next()){
            id = Long.parseLong(rs.getString("id"));
        }
        return id;

    }

    public String getDetailTableName(String maintable,String order) {
        RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
        String poolname = CONN_TYPE.workflow.getType();
        String tableName = "";
        String sql = "select table_name from e10_core_business.dbo.form_table  where form_id in( select id from e10_core_business.dbo.sub_form  where form_id in( select form_id from e10_core_business.dbo.form_table  where   table_name='"+maintable+"') and show_order="+order+")";
        //log.error(sql);
        rs.executeSql(sql, poolname);
        if (rs.next()) {
            tableName = Util.null2String(rs.getString("table_name"));
        }
        return tableName;
    }

    public  String getidByrequestid(String requestId) {
        RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
        String poolname = CONN_TYPE.workflow.getType();
        String dataid = "";
        String sql = "select workflowid,dataid from e10_core_business.dbo.wfc_form_data where requestid = '"+requestId+"'\n" +
                " and delete_type = 0";
//        log.error(" SecondUtil getidByrequestid sql " + sql);
        rs.executeSql(sql,poolname);
        if (rs.next()){
            dataid = com.weaver.common.hrm.util.Util.null2String(rs.getString("dataid"));
        }
//        log.error(" SecondUtil dataid " + dataid);
        return dataid;
    }

}
