package com.weaver.seconddev.interfaces.htjt.util;

import com.weaver.common.hrm.util.HrmContextUtil;
import com.weaver.common.i18n.tool.util.I18nContextUtil;
import com.weaver.ebuilder.form.client.ebform.data.EbFormDataDubboService;
import com.weaver.framework.rpc.annotation.RpcReference;
import com.weaver.teams.domain.user.SimpleEmployee;
import com.weaver.verupgrade.conn.RecordSet;
import com.weaver.verupgrade.conn.CONN_TYPE;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * createby
 * createTime
 * version v1
 * desc
 */
@Service
@Slf4j
public class LogUtil {

    private String lx = "";//0 接收 1 推送
    private String bt = "";//标题
    private String lcid = "";//流程id
    private String lclxid = "";//流程类型id
    private String jklm = "";//接口类名
    private String jkzt = "";//接口状态 	0成功　1失败　2异常
    private String fhxx = "";//	返回消息
    private String tscs = "";//	推送参数

    /**
     *
     */

    @RpcReference(group ="ebuilderform")
    private EbFormDataDubboService ebFormDataDubboService;
    public void insertLog(String tenantKey){
        try {
            String tablename = "uf_interface_log";
            if("t6kj9c07jr".equals(tenantKey)){
                tablename = "uf_interface_log";
            }else if("tttit1yc38".equals(tenantKey)){//光电
                tablename = "ftab_277_tttit1yc38";
            }else if("tejiddakia".equals(tenantKey)){//华海
                tablename = "ftab_277_tejiddakia";
            }
            TransUtil tu = new TransUtil();
            String modeid = tu.getModeId(tablename,tenantKey);
            SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
            SimpleDateFormat sdf1 = new SimpleDateFormat("HH:mm:ss");
            SimpleDateFormat sdf2 = new SimpleDateFormat("HH:mm");
            String nowDate = sdf.format(new Date());
            String nowTime = sdf1.format(new Date());
            String nowTime2 = sdf2.format(new Date());
            String uuid = java.util.UUID.randomUUID().toString();
            String ryid = tu.getsysadminid(tenantKey);
            SimpleEmployee user = HrmContextUtil.build(Long.valueOf(ryid),tenantKey);
            Long recodId = ebFormDataDubboService.addEmptyData(Long.valueOf(modeid), user);
            String sql ="update e10_common.dbo."+tablename+" set dyrq=?,dysj=?,lx=?,bt=?,lcid=?,lclxid=?,jklm=?,jkzt=?,fhxx=?,tscs=? where id="+recodId;
            RecordSet rs = I18nContextUtil.getBean(RecordSet.class);
            String poolname = CONN_TYPE.ebuilder.getType();
            rs.setTenantKey(tenantKey);
            rs.executeUpdate(sql, poolname,nowDate,nowTime2,this.lx,this.bt,this.lcid,this.lclxid,this.jklm,this.jkzt,this.fhxx,this.tscs);
        }catch (Exception e){
            log.error("LogUtil insertLog error",e);
        }

    }

    public String getLx() {
        return lx;
    }

    public void setLx(String lx) {
        this.lx = lx;
    }

    public String getBt() {
        return bt;
    }

    public void setBt(String bt) {
        this.bt = bt;
    }

    public String getLcid() {
        return lcid;
    }

    public void setLcid(String lcid) {
        this.lcid = lcid;
    }

    public String getLclxid() {
        return lclxid;
    }

    public void setLclxid(String lclxid) {
        this.lclxid = lclxid;
    }

    public String getJklm() {
        return jklm;
    }

    public void setJklm(String jklm) {
        this.jklm = jklm;
    }

    public String getJkzt() {
        return jkzt;
    }

    public void setJkzt(String jkzt) {
        this.jkzt = jkzt;
    }

    public String getFhxx() {
        return fhxx;
    }

    public void setFhxx(String fhxx) {
        this.fhxx = fhxx;
    }

    public String getTscs() {
        return tscs;
    }

    public void setTscs(String tscs) {
        this.tscs = tscs;
    }

}

